| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# Gaudi::Parsers Namespace Reference

## Classes
struct | ClosureGrammar
| Grammar or grammar rule which derive from this struct will have attribute of type `T` and name `val.` More...
struct | AttributesClosureGrammar
| Grammar or grammar rule which derive from this struct will have two attributes: type `T1` and name `val, type `T2` and name `attrs`.` More...
class | BoolGrammar
| The valid represenation of boolean values are:. More...
class | CharGrammar
| The valid represenation of char values are:. More...
class | IntGrammar
| The valid representation of integers values are:. More...
class | RealGrammar
| The valid represenation of real values are:. More...
class | StringGrammar
| The valid represenation of string values are:. More...
class | SkipperGrammar
| Skipping spaces and comments. More...
class | PairGrammar
| The valid represenation of pairs are: ("abc",123) or ("abc","def") Inner types of pair depends on KeyGrammarT and ValueGrammarT grammars. More...
class | VectorGrammar
| The valid represenation of vector are: {"abc","defj","i"} or {1,2,3,4,5} ["abc","defj","i"] or [1,2,3,4,5] Inner type depends on GrammarT grammar. More...
class | MapGrammar
| The valid represenation of map are: {"file1":"path1","something":"nothing"} {"file1"="path1","something"="nothing"} ["file1":10,"something":20] ["file1"=30,"something"=40] Inner key type depends on KeyGrammarT grammar Inner value type depends on ValueGrammarT grammar. More...
class | Histo1DGrammar
| The simple grammar for histogram description/definition:. More...
struct | _NoCaseCmp_
| case-insensitive comparison criteria for strings More...
class | Catalogue
| Catalogue of PropertyEntry. More...
class | PropertyEntry
class | PushBackImpl
class | PushBackRefImpl
class | AssignBoolToStringImpl
class | IdentifierGrammar
| Recognize alphanumeric strings and _ starting with alpha: Example, abc, ab_cd123, a_12. More...
class | PropertyGrammar
| Recognize property Example, A.B, A::B::C.D, A::B.C::D.E. More...
class | RealUnitsGrammar
| The valid represenation of reals with units are 1, 1.0, 1.0e+2, 1e-2, 0.5mm, 0.5 mm, 0.5*mm. More...
class | UnitsFileGrammar
| The valid represenation units file: `1 cm = 10 1 m = 1000` . More...
class | ValueGrammar
| Grammar recognize value that can appear in right side of '=' operator in job options file. More...
class | ParserGrammar
| Grammar recognize job options file `Grammar's EBNF: `job_options_file ::= (platform_statement | platform_dependency)*.`` More...
class | Message
| Parser message interface. More...
class | Parser
| Parser controller. More...
class | Position
| Parser position entity. More...
## Namespaces
namespace | Utils
## Typedefs
typedef boost::spirit::position_iterator< string::const_iterator > | IteratorT
| the actual type of position iterator
typedef boost::spirit::position_iterator< std::string::const_iterator > | IteratorT
typedef AttributesClosureGrammar< boost::tuple< std::string, std::vector< std::string > >, boost::tuple< int > > | ValueClosureT
typedef AttributesClosureGrammar< IteratorT, boost::tuple< bool, std::string, std::vector< std::string > > > | ParserClosureT
## Functions
StatusCode | parse (bool &result, const std::string &input)
| parse the `bool` value
StatusCode | parse (char &result, const std::string &input)
| parse the `char` value
StatusCode | parse (unsigned char &result, const std::string &input)
| See also: Gaudi::Parsers::parser(char&,std::string&)
StatusCode | parse (signed char &result, const std::string &input)
| See also: Gaudi::Parsers::parser(char&,std::string&)
StatusCode | parse (int &result, const std::string &input)
| parse the `int` value
StatusCode | parse (short &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (unsigned short &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (unsigned int &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (long &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (unsigned long &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (long long &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (unsigned long long &result, const std::string &input)
| See also: Gaudi::Parsers::parser( int&, const std::string& )
StatusCode | parse (double &result, const std::string &input)
| parse the `double` value
StatusCode | parse (float &result, const std::string &input)
| See also: Gaudi::Parsers::parser( double&, const std::string& )
StatusCode | parse (long double &result, const std::string &input)
| See also: Gaudi::Parsers::parser( double&, const std::string& )
StatusCode | parse (std::string &result, const std::string &input)
| parse the `std::string` value
StatusCode | parse (std::vector< bool > &result, const std::string &input)
| parse the `std::vector<bool>` value
StatusCode | parse (std::vector< char > &result, const std::string &input)
| parse the `std::vector<char>` value
StatusCode | parse (std::vector< unsigned char > &result, const std::string &input)
| See also: parse( std::vector<char>& ,const std::string& );
StatusCode | parse (std::vector< signed char > &result, const std::string &input)
| See also: parse( std::vector<char>& ,const std::string& );
StatusCode | parse (std::vector< int > &result, const std::string &input)
| parse the `std::vector<int>` value
StatusCode | parse (std::vector< short > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< unsigned short > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< unsigned int > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< long > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< unsigned long > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< long long > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< unsigned long long > &result, const std::string &input)
| See also: parse( std::vector<int>& ,const std::string& );
StatusCode | parse (std::vector< double > &result, const std::string &input)
| parse the `std::vector<double>` value
StatusCode | parse (std::vector< float > &result, const std::string &input)
| See also: parse( std::vector<double>& ,const std::string& );
StatusCode | parse (std::vector< long double > &result, const std::string &input)
| See also: parse( std::vector<double>& ,const std::string& );
StatusCode | parse (std::vector< std::string > &result, const std::string &input)
| parse the `std::vector<std::string>` value
StatusCode | parse (std::pair< double, double > &result, const std::string &input)
| parse the `std::pair<double,double>` value
StatusCode | parse (std::pair< int, int > &result, const std::string &input)
| parse the `std::pair<int,int>` value
StatusCode | parse (std::vector< std::pair< double, double > > &result, const std::string &input)
| parse the `std::vector<std::pair<double,double> >` value
StatusCode | parse (std::vector< std::pair< int, int > > &result, const std::string &input)
| parse the `std::vector<std::pair<int,int> >` value
StatusCode | parse (std::vector< std::vector< std::string > > &result, const std::string &input)
| parse the `std::vector<std::vector<std::string> >` value
StatusCode | parse (std::vector< std::vector< double > > &result, const std::string &input)
| parse the `std::vector<std::vector<double> >` value
StatusCode | parse (std::map< int, int > &result, const std::string &input)
| parse the `std::map<int , int>` value
StatusCode | parse (std::map< int, double > &result, const std::string &input)
| parse the `std::map<int , double>` value
StatusCode | parse (std::map< std::string, std::string > &result, const std::string &input)
| parse the `std::map<std::string , std::string>` value
StatusCode | parse (std::map< std::string, int > &result, const std::string &input)
| parse the `std::map<std::string , int>` value
StatusCode | parse (std::map< std::string, double > &result, const std::string &input)
| parse the `std::map<std::string , double>` value
StatusCode | parse (std::map< std::string, std::vector< std::string > > &result, const std::string &input)
| parse the `std::map<std::string , std::vector<std::string> >` value
StatusCode | parse (std::map< std::string, std::vector< int > > &result, const std::string &input)
| parse the `std::map<std::string , std::vector<int> >` value
StatusCode | parse (std::map< std::string, std::vector< double > > &result, const std::string &input)
| parse the `std::map<std::string , std::vector<double> >` value
StatusCode | parse (std::map< int, std::string > &result, const std::string &input)
| parse the `std::map<int,std::string> >` objects
StatusCode | parse (std::map< unsigned int, std::string > &result, const std::string &input)
| parse the `std::map<unsigned int,std::string> >` objects
StatusCode | parse (std::string &name, std::string &value, const std::string &input)
| parse the pair expression (map-component) " 'name' :value"
StatusCode | parse (Gaudi::Histo1DDef &histo, const std::string &input)
| helper function, needed for implementation of "Histogram Property"
StatusCode | parse (std::map< std::string, Gaudi::Histo1DDef > &histos, const std::string &input)
| helper function, needed for implementation of "Histogram Property"
StatusCode | parse (Gaudi::Histo1DDef &histo, const std::string &input)
| helper function, needed for implementation of "Histogram Property"
StatusCode | parse (std::map< std::string, Gaudi::Histo1DDef > &histos, const std::string &input)
| helper function, needed for implementation of "Histogram Property"
IteratorT | createIterator (const std::string &input)
| create the position iterator from the inptut
template<typename IntegerT>
StatusCode | parse_integer (IntegerT &result, const string &input)
| helper function to "merge" the implementation of all parsers for integer-like quantities into one templated grammar
template<typename IntegerT>
StatusCode | parse_integer_vector (std::vector< IntegerT > &result, const string &input)
| helper function to "merge" the implementation of all parsers for vector of iteger-like quantities into the combination of templated grammars
template<typename CharT>
StatusCode | parse_char (CharT &result, const string &input)
| helper function to "merge" the implementation of all parsers for "char-like" quantities into one templated grammar
template<typename CharT>
StatusCode | parse_char_vector (std::vector< CharT > &result, const string &input)
| helper function to "merge" the implementation of all parsers for vector of 'char-like' quantities into the combination of templated grammars
template<typename RealT>
StatusCode | parse_real (RealT &result, const string &input)
| helper function to "merge" the implementation of all parsers for "float-like" quantities into one templated grammar
template<typename RealT>
StatusCode | parse_real_vector (std::vector< RealT > &result, const string &input)
| helper function to "merge" the implementation of all parsers for vector of 'char-like' quantities into the combination of templated grammars
template<class T>
phoenix::actor< PushBackImpl< T > > | PushBack (T &x)
template<class T, typename IT>
phoenix::actor< PushBackRefImpl< T, IT > > | PushBack (T &x, IT it)
template<class T>
phoenix::actor< AssignBoolToStringImpl< T > > | AssignBoolToString (T &x)
StatusCode | parse (Parser parser, const std::string &fileName, std::vector< Message > &msgs)
| Parse job options fiel using the configured parser object.
StatusCode | parse (const std::string &filename, const std::vector< std::string > &searchPath, Catalogue &catalogue, std::vector< std::string > &included, std::vector< Message > &messages)
| Parse job options file.
StatusCode | parse (const std::string &filename, const std::string &searchPath, Catalogue &catalogue, std::vector< std::string > &included, std::vector< Message > &messages)
| Parse job options file.
StatusCode | parse (const std::string &filename, Catalogue &catalogue, std::vector< std::string > &included, std::vector< Message > &messages)
| Parse job options file.

## Typedef Documentation

typedef boost::spirit::position_iterator<std::string::const_iterator> Gaudi::Parsers::IteratorT

Definition at line 38 of file ParserGrammar.h.

typedef boost::spirit::position_iterator<string::const_iterator> Gaudi::Parsers::IteratorT

the actual type of position iterator

Definition at line 57 of file Parsers.icpp.

typedef AttributesClosureGrammar<IteratorT,boost::tuple<bool,std::string,std::vector<std::string> > > Gaudi::Parsers::ParserClosureT

Definition at line 432 of file ParserGrammar.h.

typedef AttributesClosureGrammar<boost::tuple<std::string,std::vector<std::string> > , boost::tuple<int> > Gaudi::Parsers::ValueClosureT

Definition at line 278 of file ParserGrammar.h.

## Function Documentation

template<class T>

phoenix::actor<AssignBoolToStringImpl<T> > Gaudi::Parsers::AssignBoolToString | ( | T & | x | ) | `[inline]`

Definition at line 86 of file ParserActions.h.

Referenced by Gaudi::Parsers::ValueGrammar::definition< ScannerT >::definition().

    00086                                                                                                         {
    00087       return AssignBoolToStringImpl<T> (x);
    00088     }

IteratorT Gaudi::Parsers::createIterator | ( | const std::string & | input | ) | `[inline]`

create the position iterator from the inptut

Definition at line 60 of file Parsers.icpp.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), and std::basic_string< _CharT, _Traits, _Alloc >::end().

Referenced by parse(), parse_char(), parse_char_vector(), parse_integer(), parse_integer_vector(), parse_real(), and parse_real_vector().

    00061     { return IteratorT ( input.begin(), input.end() ) ; }

StatusCode Gaudi::Parsers::parse | ( | const std::string & | filename,
|  | Catalogue & | catalogue,
|  | std::vector< std::string > & | included,
|  | std::vector< Message > & | messages |
| ) |  |  |

Parse job options file.

Returns:
  StatusCode::SUCCESS if no errors

Parameters:

  | filename | Path to options file
  | Catalogue | of parser properties
  | included | Already included files
  | List | of parser messages

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2006-02-17

Definition at line 75 of file ParserUtils.cpp.

Referenced by parse(), Gaudi::Parsers::Parser::parseFile(), and Gaudi::Parsers::Utils::parseValue().

    00078                                     {
    00079   return parse
    00080     (Gaudi::Parsers::Parser(catalogue,included),filename,msgs);
    00081 }

StatusCode Gaudi::Parsers::parse | ( | const std::string & | filename,
|  | const std::string & | searchPath,
|  | Catalogue & | catalogue,
|  | std::vector< std::string > & | included,
|  | std::vector< Message > & | messages |
| ) |  |  |

Parse job options file.

Returns:
  StatusCode::SUCCESS if no errors

Parameters:

  | filename | Path to options file
  | searchPath | Directories for search include and units files
  | Catalogue | of parser properties
  | included | Already included files
  | List | of parser messages

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2006-02-17

Definition at line 63 of file ParserUtils.cpp.

References parse().

    00068 {
    00069   return parse
    00070     ( Gaudi::Parsers::Parser (catalogue , included, searchPath ) ,
    00071       filename ,  msgs ) ;
    00072 }

StatusCode Gaudi::Parsers::parse | ( | const std::string & | filename,
|  | const std::vector< std::string > & | searchPath,
|  | Catalogue & | catalogue,
|  | std::vector< std::string > & | included,
|  | std::vector< Message > & | messages |
| ) |  |  |

Parse job options file.

Returns:
  StatusCode::SUCCESS if no errors

Parameters:

  | filename | Path to options file
  | searchPath | Directories for search include and units files
  | Catalogue | of parser properties
  | included | Already included files
  | List | of parser messages

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2006-02-17

Definition at line 51 of file ParserUtils.cpp.

References parse().

    00056 {
    00057   return parse
    00058     ( Gaudi::Parsers::Parser(catalogue, included, searchPath) ,
    00059       filename , msgs ) ;
    00060 }

StatusCode Gaudi::Parsers::parse | ( | Parser | parser,
|  | const std::string & | fileName,
|  | std::vector< Message > & | msgs |
| ) |  |  |

Parse job options fiel using the configured parser object.

Author:
  Vanya BELYAEV ibelyaev@phsycis.syr.edu

Date:
  2006-06-28

Definition at line 41 of file ParserUtils.cpp.

References Gaudi::Parsers::Parser::messages(), and Gaudi::Parsers::Parser::parse().

    00044 {
    00045   StatusCode res = parser.parse(fileName);
    00046   msgs = parser.messages();
    00047   return res;
    00048 }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, Gaudi::Histo1DDef > & | histos,
|  | const std::string & | input |
| ) |  |  |

helper function, needed for implementation of "Histogram Property"

Parameters:

  | histos | the map of the histogram descriptions (output)
  | input | the string to be parsed

Returns:
  status code

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-09-17

Definition at line 126 of file ParseHistos.cpp.

References createIterator(), StatusCode::FAILURE, parse(), and StatusCode::SUCCESS.

    00128 {
    00129   const bool full = boost::spirit::parse
    00130     ( createIterator(input),
    00131       IteratorT()     ,
    00132       MapGrammar<StringGrammar,Histo1DGrammar>() [var(histos)=arg1],
    00133       SkipperGrammar() ).full;
    00134   //
    00135   if ( !full ) { return StatusCode::FAILURE ; }                 // RETURN
    00136   //
    00137   for ( std::map<std::string,Gaudi::Histo1DDef>::const_iterator
    00138           ih = histos.begin() ; histos.end() != ih ; ++ih )
    00139   { if ( !ih->second.ok() ) { return StatusCode::FAILURE ; } }  // RETURN
    00140   //
    00141   return StatusCode::SUCCESS ;                                  // RETURN
    00142 }

StatusCode Gaudi::Parsers::parse | ( | Gaudi::Histo1DDef & | histo,
|  | const std::string & | input |
| ) |  |  |

helper function, needed for implementation of "Histogram Property"

Parameters:

  | histo | the histogram description (output)
  | input | the string to be parsed

Returns:
  status code

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-09-17

Definition at line 103 of file ParseHistos.cpp.

References createIterator(), StatusCode::FAILURE, parse(), and StatusCode::SUCCESS.

    00105 {
    00106   const bool full =
    00107     boost::spirit::parse
    00108     ( createIterator(input),
    00109       IteratorT(),
    00110       Histo1DGrammar()[var(histo)=arg1],
    00111       SkipperGrammar()).full;
    00112   //
    00113   return full && histo.ok() ? StatusCode::SUCCESS : StatusCode::FAILURE ;
    00114 }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, Gaudi::Histo1DDef > & | histos,
|  | const std::string & | input |
| ) |  |  |

helper function, needed for implementation of "Histogram Property"

Parameters:

  | histos | the map of the histogram descriptions (output)
  | input | the string to be parsed

Returns:
  status code

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-09-17

Definition at line 126 of file ParseHistos.cpp.

    00128 {
    00129   const bool full = boost::spirit::parse
    00130     ( createIterator(input),
    00131       IteratorT()     ,
    00132       MapGrammar<StringGrammar,Histo1DGrammar>() [var(histos)=arg1],
    00133       SkipperGrammar() ).full;
    00134   //
    00135   if ( !full ) { return StatusCode::FAILURE ; }                 // RETURN
    00136   //
    00137   for ( std::map<std::string,Gaudi::Histo1DDef>::const_iterator
    00138           ih = histos.begin() ; histos.end() != ih ; ++ih )
    00139   { if ( !ih->second.ok() ) { return StatusCode::FAILURE ; } }  // RETURN
    00140   //
    00141   return StatusCode::SUCCESS ;                                  // RETURN
    00142 }

StatusCode Gaudi::Parsers::parse | ( | Gaudi::Histo1DDef & | histo,
|  | const std::string & | input |
| ) |  |  |

helper function, needed for implementation of "Histogram Property"

Parameters:

  | histo | the histogram description (output)
  | input | the string to be parsed

Returns:
  status code

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-09-17

Definition at line 103 of file ParseHistos.cpp.

    00105 {
    00106   const bool full =
    00107     boost::spirit::parse
    00108     ( createIterator(input),
    00109       IteratorT(),
    00110       Histo1DGrammar()[var(histo)=arg1],
    00111       SkipperGrammar()).full;
    00112   //
    00113   return full && histo.ok() ? StatusCode::SUCCESS : StatusCode::FAILURE ;
    00114 }

StatusCode Gaudi::Parsers::parse | ( | std::string & | name,
|  | std::string & | value,
|  | const std::string & | input |
| ) |  |  |

parse the pair expression (map-component) " 'name' :value"

      const std::string input = "'PackageName':GaudiKernel" ;
      std::string name  ;
      std::string value ;
      StatusCode sc = Gaudi::Parsers::parse ( name , value , input ) ;
      if ( sc.isFailure() ) { ... }
      std::cout <<  "\tParsed name  is " << name
                <<  "\tParsed value is " << value << std::endl

Parameters:

  | name | (output) the parsed name of the component, defined as 'name' or "name" before the column symbol ":", the leading and trailing blans are omitted
  | value | (output) the parsed value of the component, defined as everything after the column symbol ":" till the end of the string
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 153 of file ParseMaps.cpp.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), name, and parse().

    00154     {
    00155       return parse
    00156         ( input.c_str(),
    00157           (
    00158            ch_p('"' ) >> (+(anychar_p-ch_p('"' )))[assign_a(name)] >> ch_p('"' )
    00159            |
    00160            ch_p('\'') >> (+(anychar_p-ch_p('\'')))[assign_a(name)] >> ch_p('\'')
    00161            )
    00162           >> ":"
    00163           >> (+anychar_p)[assign_a(value)], space_p).full;
    00164     }

StatusCode Gaudi::Parsers::parse | ( | std::map< unsigned int, std::string > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<unsigned int,std::string> >` objects

See also:
  Gaudi::Parsers::MapGrammar

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-12-06

Definition at line 178 of file ParseMaps.cpp.

References createIterator(), and parse().

    00180     {
    00181       return parse
    00182         ( createIterator(input),
    00183           IteratorT(),
    00184           MapGrammar<IntGrammar<unsigned int>,
    00185           StringGrammar>()[var(result)=arg1],
    00186           SkipperGrammar()).full;
    00187     }

StatusCode Gaudi::Parsers::parse | ( | std::map< int, std::string > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<int,std::string> >` objects

See also:
  Gaudi::Parsers::MapGrammar

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

  Alexander MAZUROV Alexander.Mazurov@gmail.com

Date:
  2007-12-06

Definition at line 167 of file ParseMaps.cpp.

References createIterator(), and parse().

    00169     {
    00170       return parse
    00171         ( createIterator(input),
    00172           IteratorT(),
    00173           MapGrammar<IntGrammar<int>,StringGrammar>()[var(result)=arg1],
    00174           SkipperGrammar()).full;
    00175     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, std::vector< double > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , std::vector<double> >` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) map with string value and vector of doubles as value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 115 of file ParseMaps.cpp.

References createIterator(), and parse().

    00117     {
    00118       return parse
    00119         ( createIterator(input),
    00120           IteratorT(),
    00121           MapGrammar<StringGrammar,VectorGrammar<RealGrammar<double> > >()
    00122           [var(result)=arg1],
    00123           SkipperGrammar()).full;
    00124     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, std::vector< int > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , std::vector<int> >` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) map with string value and vector of integers as value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 103 of file ParseMaps.cpp.

References createIterator(), and parse().

    00105     {
    00106       return parse
    00107         ( createIterator(input),
    00108           IteratorT(),
    00109           MapGrammar<StringGrammar,VectorGrammar<IntGrammar<int> > >()
    00110           [var(result)=arg1],
    00111           SkipperGrammar()).full;
    00112     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, std::vector< std::string > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , std::vector<std::string> >` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

  Gaudi::Parsers::VectorGrammar

Parameters:

  | result | (output) map with string value and vector of strings as value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 91 of file ParseMaps.cpp.

References createIterator(), and parse().

    00093     {
    00094       return parse
    00095         ( createIterator(input),
    00096           IteratorT(),
    00097           MapGrammar<StringGrammar,VectorGrammar<StringGrammar> >()
    00098           [var(result)=arg1],
    00099           SkipperGrammar()).full;
    00100     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, double > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , double>` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) map with string key and integer value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 58 of file ParseMaps.cpp.

References createIterator(), and parse().

    00060     {
    00061       return parse
    00062         ( createIterator(input),
    00063           IteratorT(),
    00064           MapGrammar<StringGrammar,RealGrammar<double> >()[var(result)=arg1],
    00065           SkipperGrammar()).full;
    00066     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, int > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , int>` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) map with string key and integer value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 80 of file ParseMaps.cpp.

References createIterator(), and parse().

    00082     {
    00083       return parse
    00084         ( createIterator(input),
    00085           IteratorT(),
    00086           MapGrammar<StringGrammar,IntGrammar<int> >()[var(result)=arg1],
    00087           SkipperGrammar()).full;
    00088     }

StatusCode Gaudi::Parsers::parse | ( | std::map< std::string, std::string > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<std::string , std::string>` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::StringGrammar

Parameters:

  | result | (output) map with string key and value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 69 of file ParseMaps.cpp.

References createIterator(), and parse().

    00071     {
    00072       return parse
    00073         ( createIterator(input),
    00074           IteratorT(),
    00075           MapGrammar<StringGrammar,StringGrammar>()[var(result)=arg1],
    00076           SkipperGrammar()).full;
    00077     }

StatusCode Gaudi::Parsers::parse | ( | std::map< int, double > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<int , double>` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::IntGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) map with integer key and double value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 46 of file ParseMaps.cpp.

References createIterator(), and parse().

    00048     {
    00049       return parse
    00050         ( createIterator(input),
    00051           IteratorT(),
    00052           MapGrammar< IntGrammar<int> , RealGrammar<double> >()
    00053           [var(result)=arg1],
    00054           SkipperGrammar()).full;
    00055     }

StatusCode Gaudi::Parsers::parse | ( | std::map< int, int > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::map<int , int>` value

See also:
  Gaudi::Parsers::MapGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) map with integer key and double value
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 34 of file ParseMaps.cpp.

References createIterator(), and parse().

    00036     {
    00037       return parse
    00038         ( createIterator(input)  ,
    00039           IteratorT()            ,
    00040           MapGrammar< IntGrammar<int> , IntGrammar<int> >()
    00041           [var(result)=arg1],
    00042           SkipperGrammar()).full;
    00043     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< std::vector< double > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<std::vector<double> >` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) vector with vectors of doubles
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 47 of file ParseVectorsVector.cpp.

References createIterator(), and parse().

    00049     {
    00050       return parse
    00051         ( createIterator(input),
    00052           IteratorT(),
    00053           VectorGrammar< VectorGrammar< RealGrammar< double > > >()
    00054           [var(result)=arg1],
    00055           SkipperGrammar()).full;
    00056     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< std::vector< std::string > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<std::vector<std::string> >` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::StringGrammar

Parameters:

  | result | (output) vector with vectors of strings
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 36 of file ParseVectorsVector.cpp.

References createIterator(), and parse().

    00038     {
    00039       return parse
    00040         ( createIterator(input),
    00041           IteratorT(),
    00042           VectorGrammar< VectorGrammar<StringGrammar> >()[var(result)=arg1],
    00043           SkipperGrammar()).full ;
    00044     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< std::pair< int, int > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<std::pair<int,int> >` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::PairGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) vector with pairs of int
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 71 of file ParseVectorsVector.cpp.

References createIterator(), and parse().

    00073     {
    00074       return parse
    00075         ( createIterator(input),
    00076           IteratorT(),
    00077           VectorGrammar<PairGrammar<IntGrammar<int>,IntGrammar<int> > >()
    00078           [var(result)=arg1],
    00079           SkipperGrammar()).full;
    00080     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< std::pair< double, double > > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<std::pair<double,double> >` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::PairGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) vector with pairs of doubles
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 59 of file ParseVectorsVector.cpp.

References createIterator(), and parse().

    00061     {
    00062       return parse
    00063         ( createIterator(input),
    00064           IteratorT(),
    00065           VectorGrammar<PairGrammar<RealGrammar<double>,RealGrammar<double> > >()
    00066           [var(result)=arg1],
    00067           SkipperGrammar()).full;
    00068     }

StatusCode Gaudi::Parsers::parse | ( | std::pair< int, int > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::pair<int,int>` value

See also:
  Gaudi::Parsers::PairGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) pair of integers
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 45 of file ParsePairs.cpp.

References createIterator(), and parse().

    00046     {
    00047       return parse
    00048         ( createIterator(input),
    00049           IteratorT(),
    00050           PairGrammar < IntGrammar<int> , IntGrammar <int> >()[var(result)=arg1],
    00051           SkipperGrammar()).full;
    00052     }

StatusCode Gaudi::Parsers::parse | ( | std::pair< double, double > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::pair<double,double>` value

See also:
  Gaudi::Parsers::PairGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) pair of doubles
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 35 of file ParsePairs.cpp.

References createIterator(), and parse().

    00036     {
    00037       return parse
    00038         ( createIterator(input),
    00039           IteratorT(),
    00040           PairGrammar < RealGrammar<double> , RealGrammar <double> >()
    00041           [var(result)=arg1],
    00042           SkipperGrammar()).full;
    00043     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< std::string > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<std::string>` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::StringGrammar

Parameters:

  | result | (output) vector with string elements
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 35 of file ParseVectorsString.cpp.

References createIterator(), and parse().

    00037     {
    00038       return parse(
    00039           createIterator(input),
    00040           IteratorT(),
    00041           VectorGrammar<StringGrammar>()[var(result)=arg1],
    00042           SkipperGrammar()).full;
    00043     }

StatusCode Gaudi::Parsers::parse | ( | std::vector< long double > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<double>& ,const std::string& );

Definition at line 43 of file ParseVectorsReal.cpp.

References parse_real_vector().

    00045     { return parse_real_vector    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< float > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<double>& ,const std::string& );

Definition at line 35 of file ParseVectorsReal.cpp.

References parse_real_vector().

    00037     { return parse_real_vector    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< double > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<double>` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) vector with double elements
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 39 of file ParseVectorsReal.cpp.

References parse_real_vector().

    00041     { return parse_real_vector    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< unsigned long long > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 63 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00065     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< long long > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 59 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00061     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< unsigned long > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 55 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00057     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< long > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 51 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00053     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< unsigned int > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 47 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00049     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< unsigned short > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 39 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00041     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< short > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<int>& ,const std::string& );

Definition at line 35 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00037     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< int > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<int>` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) vector with integer elements
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 43 of file ParseVectorsInteger.cpp.

References parse_integer_vector().

    00045     { return parse_integer_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< signed char > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<char>& ,const std::string& );

Definition at line 43 of file ParseVectorsChar.cpp.

References parse_char_vector().

    00045     { return parse_char_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< unsigned char > & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  parse( std::vector<char>& ,const std::string& );

Definition at line 39 of file ParseVectorsChar.cpp.

References parse_char_vector().

    00041     { return parse_char_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< char > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<char>` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::CharGrammar

Parameters:

  | result | (output) vector with char elements
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 35 of file ParseVectorsChar.cpp.

References parse_char_vector().

    00037     { return parse_char_vector ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | std::vector< bool > & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::vector<bool>` value

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::BoolGrammar

Parameters:

  | result | (output) vector with boolean elements
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 35 of file ParseVectorsBool.cpp.

References createIterator(), and parse().

    00037     {
    00038       return parse(
    00039             createIterator(input),
    00040             IteratorT(),
    00041             VectorGrammar<BoolGrammar>()[var(result)=arg1],
    00042             SkipperGrammar()).full;
    00043     }

StatusCode Gaudi::Parsers::parse | ( | std::string & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `std::string` value

See also:
  Gaudi::Parsers::StringGrammar

Parameters:

  | result | (output) string result
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Attention:
  always!!!

Definition at line 100 of file ParseAtomic.cpp.

References createIterator(), and parse().

    00102     {
    00103       if ( !parse(
    00104               createIterator(input),
    00105               IteratorT(),
    00106               StringGrammar()[var(result)=arg1]).full ){ result = input ; }
    00108       return true ;
    00109     }

StatusCode Gaudi::Parsers::parse | ( | long double & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( double&, const std::string& )

Definition at line 96 of file ParseAtomic.cpp.

References parse_real().

    00098     { return parse_real ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | float & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( double&, const std::string& )

Definition at line 88 of file ParseAtomic.cpp.

References parse_real().

    00090     { return parse_real ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | double & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `double` value

See also:
  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) double result
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 92 of file ParseAtomic.cpp.

References parse_real().

    00094     { return parse_real ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | unsigned long long & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 75 of file ParseAtomic.cpp.

References parse_integer().

    00077     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | long long & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 71 of file ParseAtomic.cpp.

References parse_integer().

    00073     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | unsigned long & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 67 of file ParseAtomic.cpp.

References parse_integer().

    00069     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | long & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 63 of file ParseAtomic.cpp.

References parse_integer().

    00065     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | unsigned int & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 59 of file ParseAtomic.cpp.

References parse_integer().

    00061     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | unsigned short & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 51 of file ParseAtomic.cpp.

References parse_integer().

    00053     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | short & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser( int&, const std::string& )

Definition at line 47 of file ParseAtomic.cpp.

References parse_integer().

    00049     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | int & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `int` value

See also:
  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) integer result
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 55 of file ParseAtomic.cpp.

References parse_integer().

    00057     { return parse_integer ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | signed char & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser(char&,std::string&)

Definition at line 43 of file ParseAtomic.cpp.

References parse_char().

    00045     { return parse_char    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | unsigned char & | result,
|  | const std::string & | input |
| ) |  |  |

See also:
  Gaudi::Parsers::parser(char&,std::string&)

Definition at line 39 of file ParseAtomic.cpp.

References parse_char().

    00041     { return parse_char    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | char & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `char` value

See also:
  Gaudi::Parsers::CharGrammar

Parameters:

  | result | (output) boolean result
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 35 of file ParseAtomic.cpp.

References parse_char().

    00037     { return parse_char    ( result , input ) ; }

StatusCode Gaudi::Parsers::parse | ( | bool & | result,
|  | const std::string & | input |
| ) |  |  |

parse the `bool` value

See also:
  Gaudi::Parsers::BoolGrammar

Parameters:

  | result | (output) boolean result
  | input | (input) the string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 79 of file ParseAtomic.cpp.

References createIterator().

Referenced by GaudiHandleArrayProperty::fromString(), PropertyWithValue< TYPE >::fromString(), parse(), parse_char(), parse_char_vector(), parse_integer(), parse_integer_vector(), parse_real(), parse_real_vector(), JobOptionsSvc::readOptions(), and PropertyMgr::setProperty().

    00081     {
    00082       return parse(
    00083           createIterator(input),
    00084           IteratorT(),
    00085           BoolGrammar()[var(result)=arg1]).full;
    00086     }

template<typename CharT>

StatusCode Gaudi::Parsers::parse_char | ( | CharT & | result,
|  | const string & | input |
| ) |  |  | `[inline]`

helper function to "merge" the implementation of all parsers for "char-like" quantities into one templated grammar

See also:
  Gaudi::Parsers::CharGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 129 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00130     {
    00131       return parse
    00132         ( createIterator(input),
    00133           IteratorT(),
    00134           CharGrammar<CharT>()[var(result)=arg1]).full;
    00135     }

template<typename CharT>

StatusCode Gaudi::Parsers::parse_char_vector | ( | std::vector< CharT > & | result,
|  | const string & | input |
| ) |  |  | `[inline]`

helper function to "merge" the implementation of all parsers for vector of 'char-like' quantities into the combination of templated grammars

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::CharGrammar

  Gaudi::Parsers::SkipperGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 155 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00156     {
    00157       return parse
    00158         ( createIterator(input),
    00159           IteratorT(),
    00160           VectorGrammar<CharGrammar<CharT> >()[var(result)=arg1],
    00161           SkipperGrammar()).full;
    00162     }

template<typename IntegerT>

StatusCode Gaudi::Parsers::parse_integer | ( | IntegerT & | result,
|  | const string & | input |
| ) |  |  | `[inline]`

helper function to "merge" the implementation of all parsers for integer-like quantities into one templated grammar

See also:
  Gaudi::Parsers::IntGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 79 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00080     {
    00081       return parse
    00082         ( createIterator(input),
    00083           IteratorT(),
    00084           IntGrammar<IntegerT>()[var(result)=arg1]).full;
    00085     }

template<typename IntegerT>

StatusCode Gaudi::Parsers::parse_integer_vector | ( | std::vector< IntegerT > & | result,
|  | const string & | input |
| ) |  |  | `[inline]`

helper function to "merge" the implementation of all parsers for vector of iteger-like quantities into the combination of templated grammars

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::IntGrammar

  Gaudi::Parsers::SkipperGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 105 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00106     {
    00107       return parse
    00108         ( createIterator(input),
    00109           IteratorT(),
    00110           VectorGrammar<IntGrammar<IntegerT> >()[var(result)=arg1],
    00111           SkipperGrammar()).full;
    00112     }

template<typename RealT>

StatusCode Gaudi::Parsers::parse_real | ( | RealT & | result,
|  | const string & | input |
| ) |  |  | `[inline]`

helper function to "merge" the implementation of all parsers for "float-like" quantities into one templated grammar

See also:
  Gaudi::Parsers::RealGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 178 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00179     {
    00180       return parse
    00181         ( createIterator(input),
    00182           IteratorT(),
    00183           RealGrammar<RealT>()[var(result)=arg1],
    00184           SkipperGrammar()).full;
    00185     }

template<typename RealT>

StatusCode Gaudi::Parsers::parse_real_vector | ( | std::vector< RealT > & | result,
|  | const string & | input |
| ) |  |  |

helper function to "merge" the implementation of all parsers for vector of 'char-like' quantities into the combination of templated grammars

See also:
  Gaudi::Parsers::VectorGrammar

  Gaudi::Parsers::RealGrammar

  Gaudi::Parsers::SkipperGrammar

Parameters:

  | result | (output) parsing result
  | input | (input) string to be parsed

Returns:
  status code

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-12

Definition at line 205 of file Parsers.icpp.

References createIterator(), and parse().

Referenced by parse().

    00206     {
    00207       return parse
    00208         ( createIterator(input),
    00209           IteratorT(),
    00210           VectorGrammar< RealGrammar<RealT> >()[var(result)=arg1],
    00211           SkipperGrammar()).full;
    00212     }

template<class T, typename IT>

phoenix::actor<PushBackRefImpl<T,IT> > Gaudi::Parsers::PushBack | ( | T & | x,
|  | IT | it |
| ) |  |  | `[inline]`

Definition at line 82 of file ParserActions.h.

    00082                                                                               {
    00083       return PushBackRefImpl<T,IT> (x,it);
    00084     }

template<class T>

phoenix::actor<PushBackImpl<T> > Gaudi::Parsers::PushBack | ( | T & | x | ) | `[inline]`

Definition at line 78 of file ParserActions.h.

Referenced by Gaudi::Parsers::ParserGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::PropertyGrammar::definition< ScannerT >::definition().

    00078                                                                   {
    00079       return PushBackImpl<T> (x);
    00080     }